/* SCCS @(#)BPDisplayResult.mod	1.1---02/23/00--13:19:17 */

/* Copyright 1999 University of Southern California Brain Lab */
/* email nsl@java.usc.edu */

nslImport nslAllImports;

nslOutModule BPDisplayResult (int inSize, int outSize) {

    private NslFloat1 in(inSize);
    private NslFloat1 outTemp(outSize);	
    private NslFloat0 out();	

    public void initModule() {
	nslAddAreaCanvas(in,0,1);
	nslAddAreaCanvas(out,0,1);		
    }

    public void simTrain() {
	simRun();
    }

    public void simRun() {
	in      = (NslFloat1)nslGetValue("backPropModel.forward.p");
	outTemp = (NslFloat1)nslGetValue("backPropModel.forward.yo");
	out = outTemp[0];
    }

}


