/* SCCS @(#)BPForward.mod	1.1---02/23/00--13:19:17 */

/* Copyright 1999 University of Southern California Brain Lab */
/* email nsl@java.usc.edu */

nslImport nslAllImports;

nslModule BPForward (int inSize, int hidSize, int outSize) {

    public NslDinFloat1 p(inSize);

    public NslDinFloat2 wh(inSize, hidSize);
    public NslDinFloat1 hh(hidSize);

    public NslDinFloat2 wo(hidSize, outSize);
    public NslDinFloat1 ho(outSize);

    public NslDoutFloat1 yh(hidSize);
    public NslDoutFloat1 yo(outSize);     

    public void forward() {
	yh = nslSigmoid(p*wh + hh);
	yo = yh*wo + ho;
    }

    public void simRun() {
        forward();
    }

    public void simTrain() {
        forward();
    }
}


